%set_verify_elf_method unresolved=relaxed
Name:      kmuddy
Version:   0.8
Release:   alt4

Summary:   MUD client for KDE
License:   GPL
Group:     Games/Adventure
URL:       http://www.kmuddy.com/
Packager:  Andrey Cherepanov <cas@altlinux.ru>

Source:    kmuddy-%version.tar.gz
Patch0:    kmuddy-build.patch
Patch1:    kmuddy-fix-missed-header.patch

BuildPreReq: menu-devel desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: kdelibs-devel libqt3-devel xmllint
Requires(post,postun): desktop-file-utils
Requires: lib%name = %version-%release
Provides: %name = %version-%release

%description
KMuddy is an extensible MUD client for KDE.

%package -n lib%name
Summary: Shared libraries for KMuddy
Group: System/Libraries
Requires: %name = %version-%release

%description -n lib%name
This package provides shared libraries for KMuddy.

%package devel
Summary: Header files for %name development
Group: Development/KDE and QT
Requires: kmuddy

%description devel
Header files for %name development

%package contrib
Summary: Example scripts for %name
Group: Development/KDE and QT
Requires: kmuddy

%description contrib
Example scripts for %name

%prep
%setup
%patch0 -p1
%patch1 -p2
subst "s/\.la/.so/g" ./configure

%build
%configure \
	--with-qt-libraries=%_libdir/qt3/lib \
	--without-arts \
	--without-sdl \
	--without-mxp

%make_build

%install
make DESTDIR=%buildroot install

%find_lang --with-kde --with-man %name

%files -f %name.lang
%doc AUTHORS CHANGELOG DESIGN LICENSE README README.MIDI Scripting-HOWTO TODO
%_bindir/*
%_datadir/applnk/*
%_iconsdir/*/*/*/*.*
%_datadir/services/*.desktop
%_datadir/servicetypes/*

%files -n lib%name
%_libdir/kde3/kmuddy*.la
%_libdir/kde3/kmuddy*.so
%_libdir/*.so*

%files devel
%_includedir/kmuddy

%files -n %name-contrib
%_datadir/%name/*

%changelog
* Wed Nov 19 2008 Andrey Cherepanov <cas@altlinux.org> 0.8-alt4
- Add missed header stdlib.h
- Remove update_desktop-database and update-menus macros
- Add xmllint requirement for documentation build

* Wed Jan 16 2008 Andrey Cherepanov <cas@altlinux.ru> 0.8-alt3
- Fix build with new GNU autotools

* Mon Oct 22 2007 Andrey Cherepanov <cas@altlinux.ru> 0.8-alt2
- Fix icon pathes

* Mon Oct 15 2007 Andrey Cherepanov <cas@altlinux.ru> 0.8-alt1
- Split to several packages

* Fri Oct 12 2007 Andrey Cherepanov <cas@altlinux.ru> 0.8-alt0
- Initial implementation
